awffull (3.10.2-12) unstable; urgency=medium

  * QA upload.
  * Rewrite d/rules with newer & shorter syntax
  * Trim dpatch boilerplate
  * Disable useless Salsa CI jobs

 -- Alexandre Detiste <tchet@debian.org>  Fri, 20 Mar 2026 20:59:43 +0100

awffull (3.10.2-11) unstable; urgency=medium

  * QA upload.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1102426).

  [ Yavor Doganov ]
  * debian/awffull.service: Add missing argument to avoid premature exit
    of the cron script when it is invoked by the systemd timer; thanks
    Charlemagne Lass (Closes: #1120742) (LP: #2122055).
  * Run wrap-and-sort -ast.
  * debian/control (Homepage): Remove; site not available.
    (Rules-Requires-Root): Remove; redundant.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
    (Suggests): Remove dnshistory, no longer in Debian (Closes: #1117802).
  * debian/watch: Upgrade to version 5.
  * debian/copyright: Add new entry for the Catalan translation above.
    Update copyright years for Debian packaging.
  * debian/gbp.conf: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 16 Nov 2025 13:02:14 +0200

awffull (3.10.2-10) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Alisson Siqueira Silva <alissonsiqueirasilva@alunos.utfpr.edu.br>  Sat, 23 Nov 2024 13:32:27 -0300

awffull (3.10.2-9) unstable; urgency=medium

  * QA upload.
  * debian/patches/autoreconf.patch: New; fix autoreconf.
  * debian/patches/pcre2.patch: New; port to PCRE2 (Closes: #1000027).
  * debian/patches/compiler-warnings.patch: New; fix some warnings.
  * debian/patches/fix-spelling-errors.patch: Fix more errors.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; bump compat level to 13.  Remove autotools-dev.  Replace
    libpcre3-dev with libpcre2-dev.  Remove libfreetype6 and
    libfreetype6-dev; completely unnecessary.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2.
  * debian/rules: Drop --parallel.  Enable hardening.  Include
    /usr/share/dpkg/info/pkg-info.mk, needed for $(DEB_VERSION).
    (CFLAGS): Rename as...
    (DEB_CFLAGS_MAINT_APPEND): ...and drop -Wl,-z,defs.
    (LDFLAGS): Rename as...
    (DEB_LDFLAGS_MAINT_APPEND): ...and drop -Wl,--as-needed.  Also move
    -Wl,-z,defs here where it belongs.
    (override_dh_autoreconf): New override; run upstream's bootstrap
    script.
    (override_dh_auto_configure): Remove handling of config.{guess,sub}.
    (override_dh_auto_clean): Likewise.  Remove unnecessary commands.
    Delete *.gmo files.  Adjust awffull_history_regen extension.
    (override_dh_auto_install): Use standard install command.
    (override_dh_installman): Install awffull_history_regen in sec 8.
    Avoid dpkg-parsechangelog usage.
    (override_dh_strip): Remove override; useless.
  * debian/compat: Delete.
  * debian/awffull.lintian-overrides: Strip context to eliminate context
    mismatch, leading to unused override.
  * debian/awffull_history_regen.pl.1: Delete; useless AFAICT.
  * debian/awffull.timer: New file; fixes lintian warning
    missing-systemd-timer-for-cron-script.
  * debian/awffull.service: Likewise; needed by awffull.timer.
  * debian/awffull.cron.daily: Skip job on systemd systems if it is
    invoked by cron; the systemd timer should be triggered instead.
  * debian/watch: Replace with a dummy one as upstream's site is gone.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Nov 2023 07:52:45 +0200

awffull (3.10.2-8) unstable; urgency=medium

  * QA upload.
  * Add debconf translators to debian/copyright
  * Add Romanian Debconf translation.
    Thanks Remus-Gabriel Chelu. (Closes: #1031147)

 -- Helge Kreutzmann <debian@helgefjell.de>  Wed, 22 Feb 2023 18:57:23 +0100

awffull (3.10.2-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
    + awffull: Drop versioned constraint on debconf in Pre-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:02:38 +0100

awffull (3.10.2-6) unstable; urgency=medium

  * QA upload.
  * Update debian/control:
    - update Vcs-* fields: moved from Alioth to Salsa
    - update using wrap-and-sort tool
    - package awffull now Suggests fonts-dejavu instead of ttf-dejavu
      (Closes: #903049)
    - bump Standards-Version to 4.1.5 (was 4.1.1)
  * Delete get-orig-source section from debian/rules.
  * Fix lintian notes: file-contains-trailing-whitespace.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 06 Jul 2018 03:51:06 +0300

awffull (3.10.2-5) unstable; urgency=medium

  * QA upload.
  * dh 10.
  * Build-Depend on libgd-dev. (Closes: #880764).
  * Don't use removed options, thanks Ludovic Rousseau. (Closes: #728362).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Nov 2017 12:17:24 +0100

awffull (3.10.2-4) unstable; urgency=low

  * QA upload.
  * Fix FTBFS (Closes: #724118)
  * Canonicalise Vcs-Browser

 -- Marius Gavrilescu <marius@ieval.ro>  Fri, 18 Oct 2013 18:27:25 +0300

awffull (3.10.2-3) unstable; urgency=low

  * QA upload.
  * Don't use sample.conf from docs. (Closes: #710727).
    + Copied sample.conf to new dir /usr/share/awffull.
  * Update cron job to use -v 0. (Closes: #496968).
    + ReallyQuiet option has been deprecated.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 01 Jul 2013 06:52:52 -0400

awffull (3.10.2-2) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.7.3).
  * Bumped debhelper version to 9 (was 8); updated debian/compat.
  * Added file debian/patches/fix-GeoIP-default-path.patch:
    fixed default path to GeoIP database. (Closes: #458647)
  * Added file debian/patches/fix-quietly-run-of-cron-job.patch:
    disables useless output messages when job is run without any verbose
    options. (Closes: #665680)
  * Added file debian/patches/fix-font-in-use.patch:
    - now recommended font ttf-dejavu is used instead of bitstream-vera
      font which is going to be removed from the repository
    - fixed path to used font (Closes: #515071)
  * Updated debian/templates: switched from apache to apache2.
    (Closes: #467641)
  * Updated debian/awffull.cron.daily:
    - deleted useless output message when cron job runs without errors
      (Closes: #482168)
    - updated notifications for more correct messages
      (Closes: #565813)
  * Updated debian/control:
    - awffull now suggests ttf-dejavu
    - changed build dependency from libpng12-dev to libpng-dev
      (Closes: #662274)
    - added Vcs-* fields (Git repo in collab-maint is available now)
  * Rewritten debian/rules:
    - now dh is used instead of direct dh_* commands
    - added --as-needed option to LDFLAGS
    - added section get-orig-source (uscan is used)
    - fixed FTBFS because of outdated config.{sub,guess}:
      used symlinks to files from autotools-dev package
      (Closes: #536835)
    - fixed lintian warnings:
      + hardening-no-relro
      + hardening-no-fortify-functions
  * Added file debian/awffull.lintian-overrides:
    possible-bashism-in-maintainer-script warning is false positive.
  * Added file debian/patches/fix-hyphen-used-as-minus-sign.patch.
  * Added file debian/patches/fix-spelling-errors.patch.
  * File debian/copyright was rewritten in according to Copyright format 1.0.
    Added missed licenses and copyright holders. Fixed lintian note:
    copyright-refers-to-symlink-license usr/share/common-licenses/GPL.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 20 Nov 2012 20:34:47 +0200

awffull (3.10.2-1) unstable; urgency=low

  * QA upload
  * New upstream release
  * Use 3.0 source format and drop dpatch
  * Fix spelling error in README.Debian (runned)

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Sun, 01 Jan 2012 09:56:28 +0100

awffull (3.8.2-3) unstable; urgency=low

  * QA upload
  * Modernize the package:
    - Use build-arch and build-indep build targets
    - Bump debhelper compatibility to 8
    - Use dh_prep instead of "dh_clean -k" in debian/rules
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #627842

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Jan 2012 00:02:07 +0100

awffull (3.8.2-2) unstable; urgency=low

  * Package maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Sat, 05 Nov 2011 16:29:44 +0100

awffull (3.8.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Lintian fix: add ${misc:Depends} to dependencies to cope
    with dependencies triggerred by the use of debhelper utilities
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #503598
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512981
    - Russian (Yuri Kozlov).  Closes: #544258
    - Italian (Luca Monducci).  Closes: #546031
    - Basque (Piarres Beobide).  Closes: #548155
    - Vietnamese (Clytie Siddall).  Closes: #548430
    - Spanish (Francisco Javier Cuadrado).  Closes: #548856

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Oct 2009 07:25:21 +0200

awffull (3.8.2-1.2) unstable; urgency=low

  * NMU
  * Drop spurious build-dependency on libdb4.5-dev.  closes: #517276.

 -- Clint Adams <schizo@debian.org>  Sun, 16 Aug 2009 22:17:05 -0400

awffull (3.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's blessing.
  * Deprecate Freetype 1 (Closes: #473615)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 23 Apr 2008 21:21:24 +0200

awffull (3.8.2-1) unstable; urgency=low

  * New upstream release. (closes: #451475)
  * Standards-Version: 3.7.3
  * Added debconf Dutch translation, thanks to
    cobaco (aka Bart Cornelis). (Closes: #449402)
  * Updated "Homepage:" pseudo-header as Reference 1.14.6.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Wed, 12 Dec 2007 13:50:37 -0200

awffull (3.8.1beta3-1) unstable; urgency=low

  * New upstream release

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 21 Sep 2007 15:41:33 -0300

awffull (3.8.1beta1-1) unstable; urgency=low

  * New upstream release
  * cron.daily script continue to run instead of exiting when a conf file
    didn't pass the tests. (Closes: #430733)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 09 Aug 2007 09:44:17 -0300

awffull (3.7.5-2) unstable; urgency=low

  * Added libgd2-xpm-dev as Build-dependence. (Closes: #426518)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 01 Jun 2007 19:45:50 -0300

awffull (3.7.5-1) unstable; urgency=low

  * New upstream release.
  * Added a check to confmodule in postrm script. (Closes: #416647)
  * Removed no more used 02-brazilian_portuguese_translation patch.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 25 May 2007 18:35:18 -0300

awffull (3.7.4final-1) unstable; urgency=low

  * New upstream release
  * Added debconf Portuguese translation, thanks to
    Miguel Figueiredo <elmig@debianpt.org>. (Closes: #423691)
  * Added libgeoip-dev build-dependence. (Closes: #422764)
  * Update to build against newer Berkeley DB, db4.5. (Closes: #421931)
  * Added Brazilian Portuguese translation.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Tue, 15 May 2007 23:19:46 -0300

awffull (3.7.4beta1-1) unstable; urgency=low

  * New upstream release. (Closes: #411125)
  * Fix cosmetic fix with the "CSS File Exists" message always being
    displayed, thanks Bart Cortooms <bart@cidev.nl>. (Closes: #395035)
  * Added dnshistory as suggested. (Closes: #406675)
  * Fixed mistake in manpage: capital Q for ReallyQuiet (Closes: #410471)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 12 Feb 2007 18:26:55 -0200

awffull (3.7.1-1) unstable; urgency=low

  * New upstream release. (Closes: #392908)
  * Rewritten config and postinst debconf scripts, Thanks to frank@debian.org
    (Closes: #393762)

  [ Debconf Translations ]
  * Deutsch/German by Matthias Julius <mdeb@julius-net.net> (Closes: #394783).
  * Czech by Jakub Kasparec <mr.k@centrum.cz> (Closes: #393533).
  * French by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
    (Closes: #392888).

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 10 Nov 2006 21:02:01 -0200

awffull (3.6.1beta1-2) unstable; urgency=low

  * Added debconf script to configure directory to put logs and to set logfile
    to read. (Closes: #384217)
  * Gettextized debconf scripts.
  * Added debconf as Pre-Depends.
  * Added postrm script with purge option.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 28 Aug 2006 12:23:35 -0300

awffull (3.6.1beta1-1) unstable; urgency=low

  * New upstream release
  * Now from this version, awffull get support to gettext. (Closes: #381116)
  * Changed man file and rules to put configurations in /etc/awffull,
    Thanks to Matthias Julius <mdeb@julius-net.net>. (Closes:  #380042)
  * Updated description to a little better one. (Closes: #379916)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Wed,  9 Aug 2006 15:53:57 -0300

awffull (3.4.3-1) unstable; urgency=low

  * Initial release Closes: #356724

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Tue,  6 Jun 2006 20:47:34 -0300
